Bug 1031492 - [abrt] meld-1.8.2-1.fc18: filediff.py:1661:on_fileentry_activate:AttributeError: 'NoneType' object has no attribute 'decode'
[abrt] meld-1.8.2-1.fc18: filediff.py:1661:on_fileentry_activate:AttributeErr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: meld (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
abrt_hash:f6950452440f6dbe1a99dc26c94...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 01:06 EST by southen
Modified: 2014-05-05 03:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:32:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (908 bytes, text/plain)
2013-11-18 01:06 EST, southen
no flags Details
File: environ (1.53 KB, text/plain)
2013-11-18 01:06 EST, southen
no flags Details

  None (edit)
Description southen 2013-11-18 01:06:51 EST
Version-Release number of selected component:
meld-1.8.2-1.fc18

Additional info:
reporter:       libreport-2.1.7
cmdline:        python /usr/bin/meld
executable:     /usr/bin/meld
kernel:         3.9.11-200.fc18.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
filediff.py:1661:on_fileentry_activate:AttributeError: 'NoneType' object has no attribute 'decode'

Traceback (most recent call last):
  File "/usr/share/meld/meld/filediff.py", line 1661, in on_fileentry_activate
    paths = [p.decode('utf8') for p in paths]
AttributeError: 'NoneType' object has no attribute 'decode'

Local variables in innermost frame:
paths: ['/home/My user name!/.../components/libwebsrvcs-esr24_1_0-x86_64.so', None, None]
e: <HistoryFileEntry object at 0x2fd3410 (HistoryFileEntry at 0x3194c00)>
self: <FileDiff object at 0x2fd3140 (meld+filediff+FileDiff at 0x33a7800)>
p: None
entries: [<HistoryFileEntry object at 0x2fd3730 (HistoryFileEntry at 0x33052b0)>, <HistoryFileEntry object at 0x2fd35f0 (HistoryFileEntry at 0x3194a50)>, <HistoryFileEntry object at 0x2fd3410 (HistoryFileEntry at 0x3194c00)>]
entry: <HistoryFileEntry object at 0x2fd3730 (HistoryFileEntry at 0x33052b0)>
Comment 1 southen 2013-11-18 01:06:54 EST
Created attachment 825388 [details]
File: backtrace
Comment 2 southen 2013-11-18 01:06:57 EST
Created attachment 825389 [details]
File: environ
Comment 3 Fedora End Of Life 2013-12-21 09:45:47 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Paulo Fidalgo 2014-01-31 10:50:14 EST
Well this happened to me in the F20.
Comment 5 Fedora End Of Life 2014-02-05 17:32:54 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.